library ieee;
use ieee.std_logic_1164.ALL;
use ieee.std_logic_arith.ALL;
use ieee.std_logic_unsigned.ALL;

entity lyp6x32r64z_En_calc_ROM is
    Port (ic_address: in  std_logic_vector(1 downto 0);
          od_En_calc : out  std_logic_vector(3 downto 0));
end lyp6x32r64z_En_calc_ROM;

architecture rtl of lyp6x32r64z_En_calc_ROM is
--types
type memory_En is array(0 to 3) of std_logic_vector(3 downto 0);
--signals
signal mem_EN: memory_En:= ("0011","0111","0000","1010");-- u[4 1];

begin
	--En calc memory
	od_En_calc <= mem_EN(conv_integer(ic_address));
end rtl;
