load Results/En_thresholds_RSBased(6,6,32)_M18_L25[990]_N2048_K1723_TIWBF_layered_matlab_v004_A[0,1]_D[0.375]_B[1,2.5]_E6.00.mat
% load Results/En_thresholds_eC_decRSBased(6,6,32)_M10_L25[990]_N2048_K1723_TIWBF_layered_matlab_v005_A[0,1]_D[0.375]_B[1,2.5]_E6.00.mat;

Mloop = 10; %18;
Ngroup = 6;
sig = 2;

Mm_ok = squeeze(En_matrix(:,1,:));
Mv_ok = squeeze(En_matrix(:,2,:));
Mm_er = squeeze(En_matrix(:,3,:));
Mv_er = squeeze(En_matrix(:,4,:));

% Mm_ok = Mm_ok(ok_dec~=0,:);
% Mv_ok = Mv_ok(ok_dec~=0,:);
% Mm_er = Mm_er(ok_dec~=0,:);
% Mv_er = Mv_er(ok_dec~=0,:);

Mm_ok = Mm_ok(ok_dec==0,:);
Mv_ok = Mv_ok(ok_dec==0,:);
Mm_er = Mm_er(ok_dec==0,:);
Mv_er = Mv_er(ok_dec==0,:);

for i = 1:Mloop*Ngroup; meanMm_ok(i) = mean(Mm_ok(find(Mm_ok(:,i)~=0),i)); end
for i = 1:Mloop*Ngroup; meanMv_ok(i) = mean(Mv_ok(find(Mm_ok(:,i)~=0),i)); end
for i = 1:Mloop*Ngroup; meanMs_ok(i) = mean(Mm_ok(find(Mm_ok(:,i)~=0),i) + sig*sqrt(Mv_ok(find(Mm_ok(:,i)~=0),i)) ); end
for i = 1:Mloop*Ngroup; meanMm_er(i) = mean(Mm_er(find(Mm_er(:,i)~=0),i)); end
for i = 1:Mloop*Ngroup; meanMv_er(i) = mean(Mv_er(find(Mm_er(:,i)~=0),i)); end
for i = 1:Mloop*Ngroup; meanMs_er(i) = mean(Mm_er(find(Mm_er(:,i)~=0),i) - sig*sqrt(Mv_er(find(Mm_er(:,i)~=0),i)) ); end

%display(round(4*meanMs_a(1:6:end))/4);
figure
set(0,'DefaultAxesColorOrder',[0 0 0],...
      'DefaultAxesLineStyleOrder','-|:|--|-.')
plot(1/Ngroup:1/Ngroup:Mloop,[meanMm_ok(1:Mloop*Ngroup)' meanMs_ok(1:Mloop*Ngroup)' meanMm_er(1:Mloop*Ngroup)' meanMs_er(1:Mloop*Ngroup)']);

% set(gca,'XTick',(1/6:1/6*2:18))
legend('meanMm_{ok}',...
       'meanMs_{ok}',...%440
       'meanMm_{er}',...%441
       'meanMs_{er}',...%444
       'Location','NorthWest');
set(legend,'FontName','Arial','FontSize', 10);
title(['TIWBF: RSBased 2048 algorithms, Media bits erroneos, correctos y desviación típica: ' num2str(sig) '\sigma']);
axis([0 10 1 8]);
grid minor;
pause;

indUmb = 1;
x = 0:0.01:30;
set(0,'DefaultAxesColorOrder',[0 0 0],...
      'DefaultAxesLineStyleOrder','-|--|-.')
  
for i = Ngroup:Mloop*Ngroup
    g_ok = 1/sqrt(2*pi*meanMv_ok(i)) * exp(-(x-meanMm_ok(i)).^2/(2*meanMv_ok(i)));
    g_er = 1/sqrt(2*pi*meanMv_er(i)) * exp(-(x-meanMm_er(i)).^2/(2*meanMv_ok(i)));
    g_in = zeros(size(x));
    g_in(sum(g_ok>g_er)) = g_ok(sum(g_ok>g_er));
    plot(x,[g_ok' g_er' g_in']);
    title(['It = ' num2str(floor((i-1)/6)+1) ', g = ' num2str(mod(i-1,6)+1)]);
    legend({'En ok bell gauss' 'En error bell gauss' num2str(x(sum(g_ok>g_er)))});
    axis([0 10 0 0.4]);
    grid minor;
    umb(i) = x(sum(g_ok>g_er));
    pause;
end

umbBF = round(4*(umb+2))/4;

